roar_vs_ctl(3)

NAME
roar_vs_ctl - Interface to private interals of VS object

SYNOPSIS

#include <roaraudio.h>

int roar_vs_ctl (roar_vs_t * vss, roar_vs_ctlcmd cmd, void * argp, int * error);

DESCRIPTION
This function is used to access internals of the VS object. It is generally to be avoided to use this function. Valid commands depend on library version. Commands are defined in a way suitable for #ifdef checking.

PARAMETERS

vss The VS object to be altered.

cmd Specifies the command to use on object.

argp
    A pointer to the operant for the given command. Type depends on command. Must be NULL for commads not taking any argument.

error
    This is a pointer to a integer used to store the error value in case of error. This can be NULL if not used but it is very recommended to use this error value to report good error messages to the user.

RETURN VALUE
On success these calls return 0. On error, -1 is returned.

EXAMPLES
FIXME

SEE ALSO
roarvs(7), libroar(7), RoarAudio(7).